net.corda.node.services.messaging

## Class NodeAddress.Companion

- net.corda.node.services.messaging.ArtemisMessagingComponent.NodeAddress.Companion

- Enclosing class:
    ArtemisMessagingComponent.NodeAddress

      public static class NodeAddress.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArtemisMessagingComponent.NodeAddress` | `asPeer(CompositeKey peerIdentity, com.google.common.net.HostAndPort hostAndPort)`
    `ArtemisMessagingComponent.NodeAddress` | `asService(CompositeKey serviceIdentity, com.google.common.net.HostAndPort hostAndPort)`

- - ### Method Detail

    - #### asPeer

          public ArtemisMessagingComponent.NodeAddress asPeer(CompositeKey peerIdentity,
                                                              com.google.common.net.HostAndPort hostAndPort)

    - #### asService

          public ArtemisMessagingComponent.NodeAddress asService(CompositeKey serviceIdentity,
                                                                 com.google.common.net.HostAndPort hostAndPort)